IBM Support

Overview - Tivoli Storage Manager Supported Operating Systems

Question & Answer


Question

Tip: The product now known as IBM Spectrum Protect™ was named IBM Tivoli® Storage Manager in releases earlier than Version 7.1.3. To learn more about the rebranding transition, see http://www.ibm.com/support/docview.wss?uid=swg21963634.

Answer

The following tables provide an overview only. For the most current details about each component's platform support, including hardware requirements, click on the platform name in the Platform column.


For the IBM Spectrum Protect V8.x Supported Operating Systems, see techdoc 1243309 information for:

  • IBM Spectrum Protect server V8
  • IBM Spectrum Protect client V8


  • TSM Server 6.3.x and 7.1.x Platforms

    AIX
    HP-UX
    Linux on POWER


    Linux x86_64
    Linux zSeries
    Solaris
    Windows
    TSM Client 6.4.x and 7.1.x Platforms

    AIX


    HP-UX Itanium
    Linux on POWER
    Linux on POWER LE
    Linux x86_64
    Linux zSeries
    Macintosh
    Solaris SPARC
    Solaris x86_64
    Windows


    Platform

    Click on the platform name in the table for detailed requirements
    TSM Server Version 6.3.x
    Operating System

    Note that V6.3.3 is the version included with IBM TSM V6.4 product
    V6.3.4 is the version included with the IBM TSM 6.4.1 product
    TSM Server Version 7.1.x
    Operating System

    AIX
    • AIX V6.1 (64 bit) TL 2
    • AIX V7.1 (64 bit)
    • AIX V6.1 (64 bit) TL 7 and SP6
    • AIX V7.1 (64 bit) TL 1 and SP6.
    • AIX V7.2 (64 bit), beginning with TSM V7.1.6.000
    HP-UXITANIUM:
    • HP-UX 11i v3 (64 bit ) with PHCO_38658 - libc cumulative patch
    ITANIUM:
    • HP-UX 11i v3 (11.31, 64 bit) with
      • PHCO_38658 - libc cumulative patch
      • PHSS_37202
      • PHKL_41481
      • PHKL_42035
      • PHKL_42335
      • PHKL_41588
      • PHSS_41496
    Note: New functionality added to version 7.1.3 and later releases is no longer supported on HP-UX.
    Linux on POWER
    • Red Hat Enterprise Linux 5 , Update 3 or later
    • Red Hat Enterprise Linux 6, all updates are supported
    • SUSE Linux Enterprise Server 10, Service Pack 2 or later
    • SUSE Linux Enterprise Server 11, all updates are supported
    • GNU C libraries, Version 2.4-31.30 and later.

    Note: Server support for these operating systems is limited to Big Endian versions only.
    • Red Hat Enterprise Linux 6, all updates are supported
    • Red Hat Enterprise Linux 7, all updates are supported (starting with TSM v7.1.1.300)
    • SUSE Linux Enterprise Server 11, Service Pack 2 or later service packs

    Note: Server support for these operating systems is limited to Big Endian versions only.
    Linux x86_64
    • Red Hat Enterprise Linux 5, Update 3 or later
    • Red Hat Enterprise Linux 6, all updates are supported
    • SUSE Linux Enterprise Server 10, Service Pack 2 or later
    • SUSE Linux Enterprise Server 11, all updates are supported
    • GNU C libraries, Version 2.3.3-98.38 and later.
    • Red Hat Enterprise Linux 6, all updates are supported
    • Red Hat Enterprise Linux 7, all updates are supported (starting with TSM v7.1.1.100)
    • SUSE Linux Enterprise Server 11, Service Pack 2 or later service packs
    • SUSE Linux Enterprise Server 12, all updates are supported (starting with TSM v7.1.4.000)
    Linux zSeries
    • Red Hat Enterprise Linux 5, Update 3 or later
    • Red Hat Enterprise Linux 6, all updates are supported
    • SUSE Linux Enterprise Server 10, Service Pack 2 or later
    • SUSE Linux Enterprise Server 11, all updates are supported
    • GNU C library, Version 2.4-31.43.6 and later.
    • Red Hat Enterprise Linux 6, all updates are supported
    • Red Hat Enterprise Linux 7, all updates are supported (starting with TSM v7.1.1.300)
    • SUSE Linux Enterprise Server 11, Service Pack 2 or later service packs
    • SUSE Linux Enterprise Server 12, all updates are supported (starting with TSM v7.1.4.000)
    SolarisSPARC 64 bit:
    • Solaris 10
    SPARC 64 bit:
    • Solaris 10 Update 10 with
      • Patch 118822-25
      • If raw devices are used, patch 125100-07
    • Solaris 10 Update 11 (starting with TSM v7.1.1.100)
    • Solaris 11 Update 2 (starting with TSM v7.1.1.200)
    WindowsServer
    • ​Microsoft Windows Server 2008: Standard, Enterprise, or Datacenter x64 Edition (64-bit only) ​
    • Microsoft Windows Server 2008 R2: Standard, Enterprise, or Datacenter​
    • Microsoft Windows Server 2012: Standard, Enterprise, or Datacenter (starting with TSM server V6.3.4)
    • Microsoft Windows Server 2012 R2 (starting with TSM V6.3.6)
    • Microsoft Windows Storage Server 2008 all x64 editions
    • Microsoft Windows Storage Server 2008 R2 all x64 editions
    • Microsoft Windows Storage Server 2012, all x64 editions (starting with TSM server V6.3.4)
    • Microsoft Windows Storage Server 2012 R2 all x64 editions (starting with TSM server V6.3.6)

    Storage Agent
    • Microsoft Windows Server 2008: Standard, Enterprise, or Datacenter x64 Edition (64-bit or 32-bit)
    • Microsoft Windows Server 2008 R2: Standard, Enterprise, or Datacenter​
    • Microsoft Windows Server 2012: Standard, Enterprise, or Datacenter (starting with TSM server V6.3.4)
    • Microsoft Windows Server 2012 R2. all x64 editions (starting with TSM V6.3.6)
    • Microsoft Windows Storage Server 2008 all editions (64-bit or 32-bit)
    • Microsoft Windows Storage Server 2008 R2 all x64 editions
    • Microsoft Windows Storage Server 2012 all x64 editions (starting with TSM server V6.3.4)
    • Microsoft Windows Storage Server 2012 R2 all x64 editions (starting with TSM server V6.3.6)
    Note: All service packs are supported.
    Server
    • ​Microsoft Windows Server 2008 R2: Standard, Enterprise, or Datacenter​
    • Microsoft Windows Server 2012: Standard, Enterprise, or Datacenter
    • Microsoft Windows Server 2012 R2 (starting with TSM V7.1.1)
    • Microsoft Windows Storage Server 2008 R2 all x64 editions
    • Microsoft Windows Storage Server 2012 all x64 editions
    • Microsoft Windows Storage Server 2012 R2 all x64 editions (starting with TSM server V7.1.1)

    Storage Agent
    • Microsoft Windows Server 2008 R2, Standard, Enterprise, or Datacenter​
    • Microsoft Windows Server 2012: all x64 editions
    • Microsoft Windows Server 2012 R2. all x64 editions (starting with TSM V7.1.1)
    • Microsoft Windows Storage Server 2008 R2 all x64 editions
    • Microsoft Windows Storage Server 2012 all x64 editions
    • Microsoft Windows Storage Server 2012 R2 all x64 editions (starting with TSM server V7.1.1)

    Note: All service packs are supported.




Platform

Click on the platform name in the table for detailed requirements
TSM Client 6.4
Operating Systems

(Note that the TSM V6.4 product includes the TSM Server version 6.3.3)
TSM Client 7.1.x
Operating Systems

AIX
  • AIX V6.1
  • AIX V7.1
plus required minimum level of
  • xlC.rte and xlsmp.rte filesets
  • AIX V6.1
  • AIX V7.1
  • AIX V7.2, beginning with 7.1.4.4 client
plus required minimum level of
  • xlC.rte and xlsmp.rte filesets
HP-UX Itanium
  • HP-UX 11i V3
  • HP-UX 11i V3
Linux on POWER
  • SLES 10 (64 bit)
  • SLES 11 (64 bit)
  • RHEL 5 (64 bit)
  • RHEL 6 (64 bit)
  • SLES 11 (64 bit)
  • RHEL 5 (64 bit)
  • RHEL 6 (64 bit)
  • RHEL 7 (64-bit), beginning with 7.1.1 client
Linux on POWER LE
  • Not supported
  • SLES 12 (64 bit), beginning with 7.1.2 API client and 7.1.4 backup-archive client
  • RHEL 7.1 (64-bit), beginning with 7.1.2 API client and 7.1.4 backup-archive client
  • Ubuntu 14.04 (64 bit), beginning with 7.1.2 API client and 7.1.4.4 backup-archive client
  • Ubuntu 16.04 (64 bit), beginning with 7.1.6.3 API and backup-archive client
Linux x86_64
  • SLES 10 (64 bit)
  • SLES 11 (64 bit)
  • SLED 10 (64 bit)
  • SLED 11 (64 bit)
  • RHEL 5 (64 bit)
  • RHEL 6 (64 bit)

Note: Linux client distributions supported as a data mover with the TSM for Virtual Environments product are documented in links here.
  • SLES 11 (64 bit)
  • SLED 11 (64 bit)
  • SLES 12 (64 bit), beginning with 7.1.2 client
  • RHEL 5 (64 bit)
  • RHEL 6 (64 bit)
  • RHEL 7 (64 bit), beginning with 7.1.1 client
  • Ubuntu 14.04, beginning with 7.1.2 client
  • Ubuntu 16.04, beginning with 7.1.6.3 client

Note: Linux client distributions supported as a data mover with the TSM for Virtual Environments product are documented in links here.
Linux zSeries
  • SLES 10 (64 bit)
  • SLES 11 (64 bit)
  • RHEL 5 (64 bit)
  • RHEL 6 (64 bit)
  • SLES 11 (64 bit)
  • SLES 12 (64 bit), beginning with 7.1.2 client
  • RHEL 5 (64 bit)
  • RHEL 6 (64 bit)
  • RHEL 7 (64 bit) beginning with 7.1.1 client
Macintosh
  • Mac OS X 10.7
  • Mac OS X 10.8
  • Mac OS X 10.9, beginning with 6.4.1.5 client
  • Mac OS X 10.8
  • Mac OS X 10.9
  • Mac OS X 10.10 beginning with 7.1.1 client
  • Mac OS X 10.11 beginning with 7.1.3.2 client
Solaris SPARC
  • Solaris 10
  • Solaris 11
  • Solaris 10
  • Solaris 11
Solaris x86
  • Not supported
  • Solaris 10 (64-bit), beginning with 7.1.1 client
  • Solaris 11 (64-bit), beginning with 7.1.1 client
Windows
  • Windows Vista, all x32 and x64 editions
    (Automated System Recovery (ASR) for non-EFI)
  • Windows 2008 Server, all x32 and x64 editions
    (Automated System Recovery (ASR) for non-EFI)
  • Windows Server 2008 R2, all x64 editions
    (Automated System Recovery (ASR) for non-EFI)
  • Windows Server 2012, all x64 editions
    (Automated System Recovery (ASR) for non-EFI)
  • Windows 7, all x32 and x64 editions
    (Automated System Recovery (ASR) for non-EFI)
  • Windows 8 (not 8.1), all x32 and x64 editions
    (Automated System Recovery (ASR) for non-EFI)

Note: Windows client operating system levels supported as a data mover with the TSM for Virtual Environments product are documented in links here.
  • Windows 2008 Server, all x32 and x64 editions
    (Automated System Recovery (ASR) for EFI and non-EFI)
  • Windows Server 2008 R2, all x64 editions
    (Automated System Recovery (ASR) for EFI and non-EFI)
  • Windows Server 2012, all x64 editions
    (Automated System Recovery (ASR) for EFI and non-EFI)
  • Windows Server 2012 R2, all x64 editions
    (Automated System Recovery (ASR) for EFI and non-EFI);
    see limitations on detailed requirements page
  • Windows 7, all x32 and x64 editions
    (Automated System Recovery (ASR) for EFI and non-EFI)
  • Windows 8, all x32 and x64 editions
    (Automated System Recovery (ASR) for EFI and non-EFI)
  • Windows 8.1, all x32 and x64 editions
    (Automated System Recovery (ASR) for EFI and non-EFI);
    see limitations on detailed requirements page
  • Windows 10, all x32 and x64 editions except Mobile
    (Automated System Recovery (ASR) for EFI and non-EFI), beginning with the 7.1.3.2 client
  • Windows 2016 Server and Windows Server 2016 Server Core, all editions, beginning with v7.1.8 client

Note: Windows client operating system levels supported as a data mover with the TSM for Virtual Environments product are documented in links here.

  • For the Version 6.3 Overview click here
  • Version 6.2 has reached End of Support (EOS). For Overview click here
  • Version 6.1 has reached End of Support (EOS). For Overview click here
  • Version 5.5 has reached End of Support (EOS). For Overview click here

TSM Storage Agent Requirements
For TSM Storage Agent requirements click here.

TSM Operations Center Requirements
For TSM Operations Center requirements click here.

TSM Administration Center Requirements
For TSM Administration Center requirements click here.

TSM Monitoring and Reporting Requirements
For TSM Monitoring and Reporting requirements click here.


Note: Tivoli® Storage Manager Version 6.4 and Tivoli Storage Manager Extended Edition Version 6.4 are made up of the following components and code levels:
  • Backup-archive client at Version 6.4
  • Application programming interface (API) at Version 6.4
  • Server at Version 6.3.3 with initial Version 6.4 package, including the Administration Center, Tivoli Monitoring for Tivoli Storage Manager, and device driver components, which are also at Version 6.3.3
  • Storage Agents packaged with Server but require Tivoli Storage Manager for Storage Area Networks
  • TSM 6.4.1 introduced the 6.4.1 Tivoli Storage Manager Operations Center, and the 6.3.4 level of the server and server components

[{"Product":{"code":"SSGSG7","label":"Tivoli Storage Manager"},"Business Unit":{"code":"BU010","label":"Systems - Storage"},"Component":"--","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF010","label":"HP-UX"},{"code":"PF016","label":"Linux"},{"code":"PF027","label":"Solaris"},{"code":"PF033","label":"Windows"}],"Version":"6.3;6.4;7.1","Edition":""},{"Product":{"code":"SSEQVQ","label":"IBM Spectrum Protect"},"Business Unit":{"code":"BU010","label":"Systems - Storage"},"Component":" ","Platform":[{"code":"","label":""}],"Version":"","Edition":""}]

Document Information

Modified date:
17 June 2018

UID

swg21994042